Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227898 - flush icache early when loading module
Summary: flush icache early when loading module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Doug Chapman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 20:37 UTC by Doug Chapman
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-08 04:49:24 UTC


Attachments (Terms of Use)
panic stack trace (deleted)
2007-02-08 20:44 UTC, Doug Chapman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Doug Chapman 2007-02-08 20:37:23 UTC
Description of problem:
Loading some modules with parameters can cause a panic on RHEL4.  This is easily
reproduced on ia64 montecito hardware (although likely possible on other
hardware as well).

This was fixed upstream some time ago (2.6.12):

http://marc.theaimsgroup.com/?l=linux-kernel&m=112311594619258&w=2

I am working on porting that patch to current RHEL4 source.

Version-Release number of selected component (if applicable):
RHEL4 (all)


How reproducible:
100% on ia64 montecito hardware

Steps to Reproduce:
1. modprobe -v lockd nlm_udpport=4001 nlm_tcpport=4001
2.
3.
  
Actual results:
panic!

Expected results:


Additional info:

Comment 1 Doug Chapman 2007-02-08 20:44:16 UTC
Created attachment 147698 [details]
panic stack trace

Panic generated from doing:
modprobe -v lockd nlm_udpport=4001 nlm_tcpport=4001

Comment 2 Doug Chapman 2007-02-08 22:28:37 UTC
Patch has been submitted to rhkernel-list for review.


Comment 3 RHEL Product and Program Management 2007-02-09 16:23:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Jay Turner 2007-02-16 15:56:24 UTC
QE ack for RHEL4.5.

Comment 5 Jason Baron 2007-02-27 20:21:22 UTC
committed in stream U5 build 49. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/


Comment 9 Red Hat Bugzilla 2007-05-08 04:49:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.